curl --request POST \
--url https://api.criteo.com/2026-01/retail-media/accounts/{accountId}/retailers/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"attributes": {
"retailerIdFilter": [
"<string>"
]
},
"type": "<string>"
}
}
'import requests
url = "https://api.criteo.com/2026-01/retail-media/accounts/{accountId}/retailers/search"
payload = { "data": {
"attributes": { "retailerIdFilter": ["<string>"] },
"type": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({data: {attributes: {retailerIdFilter: ['<string>']}, type: '<string>'}})
};
fetch('https://api.criteo.com/2026-01/retail-media/accounts/{accountId}/retailers/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"attributes": {
"campaignAvailabilities": [
{
"isAvailable": true,
"validCombinations": [
{}
]
}
],
"name": "<string>"
},
"id": "<string>",
"type": "<string>"
}
],
"errors": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>"
}
],
"metadata": {
"limit": 123,
"offset": 123,
"count": 123
},
"warnings": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>"
}
]
}/2026-01/retail-media/accounts/{accountId}/retailers/search
Searches for retailers associated with the specified account based on provided search criteria
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The external account identifier
Query Parameters
The maximum number of items to return. Must be between 1 and 10. Default is 5.
1 <= x <= 10The number of items to skip before starting to collect the result set. Default is 0.
0 <= x <= 2147483647Body
The search request containing filtering parameters
A top-level object that encapsulates a Criteo API request for a single value object.
A value resource exposed by the API.
Show child attributes
Show child attributes
Response
Success
A top-level object that encapsulates a Criteo API response for several entities and metadata.
Show child attributes
Show child attributes
Errors that occured during this call.
Show child attributes
Show child attributes
Metadata related to the current request.
Show child attributes
Show child attributes
Warnings that occured during this call.
Show child attributes
Show child attributes
Was this page helpful?